Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.pf.io
Interface FilterSource

All Superinterfaces:
  RegistryContext

All Known Subinterfaces:
  DOMSource, FileReaderSource, FileWriterSource, InputStreamSource, ObjectSource, OutputStreamSource, ReaderSource, SAXSource, VirtualFileReaderSource, VirtualFileWriterSource, WriterSource

All Known Implementing Classes:
  ClassicVRMLExport, CompilationFilter, ContourFilter, CSVWriter, DOMSourceImpl, DTDFilter, DTDSourceFile.Loader, DTGFilter, ExcelWriter, ExportModule, FileSource, FilterBase, FilterSourceBase, FunctionFilter, FunctionReader, GraphMLReader, GraphReader, GraphXMLSource, GSReader, GSWriter, GSZReader, GSZWriter, GUnzipFilter, GZipFilter, HTMLWriter, ImageReader, ImageWriter, ImportModule, InputStreamSourceImpl, JavaFilter, LazyFilter, LSYFilter, LuminanceFilter, MSMLProjectLoader, MSMLReader, MSMLWriter, MTGExport, MTGFilter, MTGLoader, MTGReader, MTGSourceFile.Loader, NullResourceFilter, NullSource, ObjectSourceImpl, PDFWriter, PlainTextWriter, ReaderSourceImpl, RegistryReader, RGGFilter, SAXFilterBase, SAXSourceBase, SceneGraphExport, ShellFilter, SMBFilter, SourceFile.Loader, SPDFilter, StreamAdapter, SurfaceFilter, VRML97Export, X3DExport, X3DImport, XFrogFilter, XFrogProjectLoader, XLFilter, XMLPatchReader, XMLReaderBase, XMLTableReader, XMLWriter, XSLTFilter

    public interface FilterSource

extends RegistryContext

Instances of `FilterSource` represent data sources in the pipeline of `Filter`s.

Author:
  Ole Kniemeyer

Nested Class Summary
`static class` | `FilterSource.MetaDataKey<V>`

Field Summary
`static float` | `AUTO_PROGRESS`
`static FilterSource.MetaDataKey<java.io.File>` | `DESTINATION_FILE`
`static FilterSource.MetaDataKey<java.net.URL>` | `DESTINATION_URL`

Method Summary
`Filter` | `getFilter()` Returns the `Filter` from which this instance obtains its data.
`IOFlavor` | `getFlavor()` Returns the `IOFlavor` of this data source.
`
`<V> V`
` | `getMetaData(FilterSource.MetaDataKey<V> key, V defaultValue)`
`java.lang.String` | `getSystemId()` Returns a system id which identifies this source.
`void` | `initProgressMonitor(ProgressMonitor monitor)`
`
`<V> void`
` | `setMetaData(FilterSource.MetaDataKey<V> key, V value)`
`void` | `setProgress(java.lang.String text, float progress)`

Methods inherited from interface de.grogra.pf.registry.RegistryContext
`getRegistry`

Field Detail

### AUTO_PROGRESS

    static final float AUTO_PROGRESS

See Also:
  Constant Field Values

### DESTINATION_FILE

    static final FilterSource.MetaDataKey<java.io.File> DESTINATION_FILE

### DESTINATION_URL

    static final FilterSource.MetaDataKey<java.net.URL> DESTINATION_URL

Method Detail

### getFilter

    Filter getFilter()

  Returns the `Filter` from which this instance obtains its data. If there is no such filter, i.e., if this is the first object in the filter pipeline, this method returns `null`.

  Returns:
    the filter from which data is obtained, or `null`

### getFlavor

    IOFlavor getFlavor()

  Returns the `IOFlavor` of this data source. Depending on the flavor, this instance has to implement corresponding subinterfaces of `FilterSource`.

  Returns:
    the flavor of the data

### getMetaData

    <V> V getMetaData(FilterSource.MetaDataKey<V> key,
                      V defaultValue)

### getSystemId

    java.lang.String getSystemId()

  Returns a system id which identifies this source.

  Returns:
    system id

### initProgressMonitor

    void initProgressMonitor(ProgressMonitor monitor)

### setMetaData

    <V> void setMetaData(FilterSource.MetaDataKey<V> key,
                         V value)

### setProgress

    void setProgress(java.lang.String text,
                     float progress)

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD